r"""Common configuration for unittests.

Importing changes PYTHONPATH as a side-effect: be able to import data_schema

"""

import sys
import os

import configmix.config


PROJECTDIR = os.path.abspath(os.path.join(
    os.path.dirname(__file__), ".."))

FILEURI_PREFIX = "file:/tests/schemata/"


#
# Side effects
#

# Allow to import the vlobby package
sys.path.append(PROJECTDIR)

# Also synthesize a minimal configuration just valid for the unittests
config = configmix.config.Configuration(
    projectdir=PROJECTDIR)
